## mingw-w64-liboqs-0.12.0-1.src.tar.zst

=== tests/CMakeLists.txt ===
# SPDX-License-Identifier: MIT

option(OQS_ENABLE_TEST_CONSTANT_TIME "Build test suite with support for Valgrind-based detection of non-constant time behaviour." OFF)

if(CMAKE_C_COMPILER_ID STREQUAL "GNU" OR
   CMAKE_C_COMPILER_ID MATCHES "Clang")
    add_compile_options(-Wbad-function-cast)
endif()
if(CMAKE_C_COMPILER_ID MATCHES "Clang")
    add_compile_options(-Wcast-qual)
    add_compile_options(-Wnarrowing)
    add_compile_options(-Wconversion)
endif()
if (MINGW OR MSYS OR CYGWIN)
    add_definitions(-D__USE_MINGW_ANSI_STDIO=1)
    add_compile_options(-Wno-unknown-pragmas)
    add_compile_options(-Wno-unused-parameter)
endif()
if(WIN32 AND NOT (MINGW OR MSYS OR CYGWIN))
    # ignore warning for test apps
    add_compile_options(/wd4996 /wd4244)
endif()

if(OQS_USE_OPENSSL)
    include_directories(${OPENSSL_INCLUDE_DIR})
endif()

if(NOT WIN32)
    set(LIBM m)
endif()

# List oqs-internal after oqs so that oqs has linking precedence.
if(${OQS_USE_OPENSSL})
    find_package(OpenSSL 1.1.1 REQUIRED)
    set(TEST_DEPS oqs oqs-internal ${LIBM} OpenSSL::Crypto)
else()
    set(TEST_DEPS oqs oqs-internal ${LIBM})
endif()

if(OQS_USE_PTHREADS)
    set(TEST_DEPS ${TEST_DEPS} Threads::Threads)
endif()

if(NOT WIN32)
    execute_process(COMMAND ${PROJECT_SOURCE_DIR}/scripts/git_commit.sh OUTPUT_VARIABLE GIT_COMMIT)
    add_definitions(-DOQS_COMPILE_GIT_COMMIT="${GIT_COMMIT}")

    add_executable(test_aes test_aes.c)
    target_link_libraries(test_aes PRIVATE ${TEST_DEPS})

    add_executable(test_hash test_hash.c)
    target_link_libraries(test_hash PRIVATE ${TEST_DEPS})

    add_executable(test_sha3 test_sha3.c)
    target_link_libraries(test_sha3 PRIVATE ${TEST_DEPS})

    add_executable(speed_common speed_common.c)
    target_link_libraries(speed_common PRIVATE ${TEST_DEPS})

    set(UNIX_TESTS test_aes test_hash test_sha3 speed_common)

    set(PYTHON3_EXEC python3)
else()
    set(PYTHON3_EXEC python)
endif()

# KEM API tests
add_executable(example_kem example_kem.c)
target_link_libraries(example_kem PRIVATE ${TEST_DEPS})

add_executable(kat_kem kat_kem.c test_helpers.c)
target_link_libraries(kat_kem PRIVATE ${TEST_DEPS})
if(CMAKE_SYSTEM_NAME STREQUAL "Windows" AND BUILD_SHARED_LIBS)
    # workaround for Windows .dll
    if(MINGW OR MSYS OR CYGWIN OR CMAKE_CROSSCOMPILING)
        target_link_options(kat_kem PRIVATE -Wl,--allow-multiple-definition)
    else()
        target_link_options(kat_kem PRIVATE "/FORCE:MULTIPLE")
    endif()
endif()

add_executable(test_kem test_kem.c)
target_link_libraries(test_kem PRIVATE ${TEST_DEPS})

if(CMAKE_SYSTEM_NAME STREQUAL "Windows" AND BUILD_SHARED_LIBS)
    # workaround for Windows .dll
    if(MINGW OR MSYS OR CYGWIN OR CMAKE_CROSSCOMPILING)
        target_link_options(test_kem PRIVATE -Wl,--allow-multiple-definition)
    else()
        target_link_options(test_kem PRIVATE "/FORCE:MULTIPLE")
    endif()
endif()

add_executable(test_kem_mem test_kem_mem.c)
target_link_libraries(test_kem_mem PRIVATE ${TEST_DEPS})

add_executable(speed_kem speed_kem.c)
target_link_libraries(speed_kem PRIVATE ${TEST_DEPS})

set(KEM_TESTS example_kem kat_kem test_kem test_kem_mem speed_kem vectors_kem)

# SIG API tests
add_executable(example_sig example_sig.c)
target_link_libraries(example_sig PRIVATE ${TEST_DEPS})

if(OQS_BUILD_FUZZ_TESTS AND '${CMAKE_C_COMPILER_ID}' STREQUAL 'Clang')
    add_executable(fuzz_test_sig fuzz_test_sig.c)
    target_link_libraries(fuzz_test_sig PRIVATE ${TEST_DEPS})
    set_target_properties(fuzz_test_sig PROPERTIES
        COMPILE_FLAGS "${FUZZING_COMPILE_FLAGS}"
        LINK_FLAGS "${FUZZING_LINK_FLAGS}"
    )
endif()

# Stateful SIG API tests
add_executable(example_sig_stfl example_sig_stfl.c)
target_link_libraries(example_sig_stfl PRIVATE ${TEST_DEPS})

add_executable(kat_sig kat_sig.c test_helpers.c)
target_link_libraries(kat_sig PRIVATE ${TEST_DEPS})
if(CMAKE_SYSTEM_NAME STREQUAL "Windows" AND BUILD_SHARED_LIBS)
    # workaround for Windows .dll
    if(MINGW OR MSYS OR CYGWIN OR CMAKE_CROSSCOMPILING)
        target_link_options(kat_sig PRIVATE -Wl,--allow-multiple-definition)
    else()
        target_link_options(kat_sig PRIVATE "/FORCE:MULTIPLE")
    endif()
endif()

add_executable(kat_sig_stfl kat_sig_stfl.c test_helpers.c)
target_link_libraries(kat_sig_stfl PRIVATE ${TEST_DEPS})
if(CMAKE_SYSTEM_NAME STREQUAL "Windows" AND BUILD_SHARED_LIBS)
    # workaround for Windows .dll
    if(CMAKE_CROSSCOMPILING)
        target_link_options(kat_sig_stfl PRIVATE -Wl,--allow-multiple-definition)
    else()
        target_link_options(kat_sig_stfl PRIVATE "/FORCE:MULTIPLE")
    endif()
endif()

add_executable(test_sig test_sig.c)
target_link_libraries(test_sig PRIVATE ${TEST_DEPS})

add_executable(test_sig_mem test_sig_mem.c)
target_link_libraries(test_sig_mem PRIVATE ${TEST_DEPS})

add_executable(speed_sig speed_sig.c)
target_link_libraries(speed_sig PRIVATE ${TEST_DEPS})


set(SIG_TESTS example_sig kat_sig test_sig test_sig_mem speed_sig vectors_sig)

# SIG_STFL API tests
add_executable(test_sig_stfl test_sig_stfl.c)
if((CMAKE_C_COMPILER_ID MATCHES "Clang") OR (CMAKE_C_COMPILER_ID STREQUAL "GNU"))
    target_link_libraries(test_sig_stfl PRIVATE ${TEST_DEPS} Threads::Threads)
else ()
    target_link_libraries(test_sig_stfl PRIVATE ${TEST_DEPS})
endif()

add_executable(speed_sig_stfl speed_sig_stfl.c)
target_link_libraries(speed_sig_stfl PRIVATE ${TEST_DEPS})

set(SIG_STFL_TESTS kat_sig_stfl test_sig_stfl speed_sig_stfl)

add_executable(dump_alg_info dump_alg_info.c)
target_link_libraries(dump_alg_info PRIVATE ${TEST_DEPS})

# Intermediate values vector tests
add_executable(vectors_sig vectors_sig.c)
target_link_libraries(vectors_sig PRIVATE ${TEST_DEPS})

add_executable(vectors_kem vectors_kem.c)
target_link_libraries(vectors_kem PRIVATE ${TEST_DEPS})

# Enable Valgrind-based timing side-channel analysis for test_kem and test_sig
if(OQS_ENABLE_TEST_CONSTANT_TIME AND NOT OQS_DEBUG_BUILD)
    message(WARNING "OQS_ENABLE_TEST_CONSTANT_TIME is incompatible with CMAKE_BUILD_TYPE=${CMAKE_BUILD_TYPE}.")
    set(OQS_ENABLE_TEST_CONSTANT_TIME OFF)
endif()

# Record compile options -- from target speed_kem - don't set any options only for speed_kem!
get_property(OQS_COMPILE_OPTIONS TARGET speed_kem PROPERTY COMPILE_OPTIONS)
add_definitions(-DOQS_COMPILE_OPTIONS="[${OQS_COMPILE_OPTIONS}]")

if (CMAKE_GENERATOR MATCHES "Visual Studio")
    # With Visual studio the output of tests go into a folder with the configuration option. Force it to the same folder as if
    # generating with Ninja
    set_target_properties(
        dump_alg_info ${KEM_TESTS} ${SIG_TESTS}
        PROPERTIES
        RUNTIME_OUTPUT_DIRECTORY_DEBUG          "${CMAKE_BINARY_DIR}/tests"
        RUNTIME_OUTPUT_DIRECTORY_RELEASE        "${CMAKE_BINARY_DIR}/tests"
        RUNTIME_OUTPUT_DIRECTORY_RELWITHDEBINFO "${CMAKE_BINARY_DIR}/tests"
        RUNTIME_OUTPUT_DIRECTORY_MINSIZEREL     "${CMAKE_BINARY_DIR}/tests")
endif()

# TODO: Get CMake to find python.
# and set PATH variable in Windows
# for DLL builds.
add_custom_target(
    run_tests
    # skip long KAT tests
    COMMAND ${CMAKE_COMMAND} -E env OQS_BUILD_DIR=${CMAKE_BINARY_DIR} ${PYTHON3_EXEC} -m pytest --verbose --numprocesses=auto --ignore=scripts/copy_from_upstream/repos --ignore=tests/test_kat_all.py
    WORKING_DIRECTORY ${CMAKE_SOURCE_DIR}
    DEPENDS oqs dump_alg_info ${KEM_TESTS} ${SIG_TESTS} ${SIG_STFL_TESTS} ${UNIX_TESTS}
    USES_TERMINAL)

=== .github/workflows/requirements.txt ===
#
# This file is autogenerated by pip-compile with Python 3.12
# by the following command:
#
#    pip-compile --generate-hashes --output-file=requirements_new.txt requirements.txt
#
colorama==0.4.6 \
    --hash=sha256:08695f5cb7ed6e0531a20572697297273c47b8cae5a63ffc6d6ed5c201be6e44 \
    --hash=sha256:4f1d9991f5acc0ca119f9d443620b77f9d6b33703e51011c16baf57afb285fc6
    # via -r requirements.txt
execnet==2.1.1 \
    --hash=sha256:26dee51f1b80cebd6d0ca8e74dd8745419761d3bef34163928cbebbdc4749fdc \
    --hash=sha256:5189b52c6121c24feae288166ab41b32549c7e2348652736540b9e6e7d4e72e3
    # via
    #   -r requirements.txt
    #   pytest-xdist
iniconfig==2.0.0 \
    --hash=sha256:2d91e135bf72d31a410b17c16da610a82cb55f6b0477d1a902134b24a455b8b3 \
    --hash=sha256:b6a85871a79d2e3b22d2d1b94ac2824226a63c6b741c88f7ae975f18b6778374
    # via
    #   -r requirements.txt
    #   pytest
packaging==24.0 \
    --hash=sha256:2ddfb553fdf02fb784c234c7ba6ccc288296ceabec964ad2eae3777778130bc5 \
    --hash=sha256:eb82c5e3e56209074766e6885bb04b8c38a0c015d0a30036ebe7ece34c9989e9
    # via
    #   -r requirements.txt
    #   pytest
pluggy==1.4.0 \
    --hash=sha256:7db9f7b503d67d1c5b95f59773ebb58a8c1c288129a88665838012cfb07b8981 \
    --hash=sha256:8c85c2876142a764e5b7548e7d9a0e0ddb46f5185161049a79b7e974454223be
    # via
    #   -r requirements.txt
    #   pytest
pytest==8.1.1 \
    --hash=sha256:2a8386cfc11fa9d2c50ee7b2a57e7d898ef90470a7a34c4b949ff59662bb78b7 \
    --hash=sha256:ac978141a75948948817d360297b7aae0fcb9d6ff6bc9ec6d514b85d5a65c044
    # via
    #   -r requirements.txt
    #   pytest-xdist
pytest-xdist==3.5.0 \
    --hash=sha256:cbb36f3d67e0c478baa57fa4edc8843887e0f6cfc42d677530a36d7472b32d8a \
    --hash=sha256:d075629c7e00b611df89f490a5063944bee7a4362a5ff11c7cc7824a03dfce24
    # via -r requirements.txt
pyyaml==6.0.1 \
    --hash=sha256:04ac92ad1925b2cff1db0cfebffb6ffc43457495c9b3c39d3fcae417d7125dc5 \
    --hash=sha256:062582fca9fabdd2c8b54a3ef1c978d786e0f6b3a1510e0ac93ef59e0ddae2bc \
    --hash=sha256:0d3304d8c0adc42be59c5f8a4d9e3d7379e6955ad754aa9d6ab7a398b59dd1df \
    --hash=sha256:1635fd110e8d85d55237ab316b5b011de701ea0f29d07611174a1b42f1444741 \
    --hash=sha256:184c5108a2aca3c5b3d3bf9395d50893a7ab82a38004c8f61c258d4428e80206 \
    --hash=sha256:18aeb1bf9a78867dc38b259769503436b7c72f7a1f1f4c93ff9a17de54319b27 \
    --hash=sha256:1d4c7e777c441b20e32f52bd377e0c409713e8bb1386e1099c2415f26e479595 \
    --hash=sha256:1e2722cc9fbb45d9b87631ac70924c11d3a401b2d7f410cc0e3bbf249f2dca62 \
    --hash=sha256:1fe35611261b29bd1de0070f0b2f47cb6ff71fa6595c077e42bd0c419fa27b98 \
    --hash=sha256:28c119d996beec18c05208a8bd78cbe4007878c6dd15091efb73a30e90539696 \
    --hash=sha256:326c013efe8048858a6d312ddd31d56e468118ad4cdeda36c719bf5bb6192290 \
    --hash=sha256:40df9b996c2b73138957fe23a16a4f0ba614f4c0efce1e9406a184b6d07fa3a9 \
    --hash=sha256:42f8152b8dbc4fe7d96729ec2b99c7097d656dc1213a3229ca5383f973a5ed6d \
    --hash=sha256:49a183be227561de579b4a36efbb21b3eab9651dd81b1858589f796549873dd6 \
    --hash=sha256:4fb147e7a67ef577a588a0e2c17b6db51dda102c71de36f8549b6816a96e1867 \
    --hash=sha256:50550eb667afee136e9a77d6dc71ae76a44df8b3e51e41b77f6de2932bfe0f47 \
    --hash=sha256:510c9deebc5c0225e8c96813043e62b680ba2f9c50a08d3724c7f28a747d1486 \
    --hash=sha256:5773183b6446b2c99bb77e77595dd486303b4faab2b086e7b17bc6bef28865f6 \
    --hash=sha256:596106435fa6ad000c2991a98fa58eeb8656ef2325d7e158344fb33864ed87e3 \
    --hash=sha256:6965a7bc3cf88e5a1c3bd2e0b5c22f8d677dc88a455344035f03399034eb3007 \
    --hash=sha256:69b023b2b4daa7548bcfbd4aa3da05b3a74b772db9e23b982788168117739938 \
    --hash=sha256:6c22bec3fbe2524cde73d7ada88f6566758a8f7227bfbf93a408a9d86bcc12a0 \
    --hash=sha256:704219a11b772aea0d8ecd7058d0082713c3562b4e271b849ad7dc4a5c90c13c \
    --hash=sha256:7e07cbde391ba96ab58e532ff4803f79c4129397514e1413a7dc761ccd755735 \
    --hash=sha256:81e0b275a9ecc9c0c0c07b4b90ba548307583c125f54d5b6946cfee6360c733d \
    --hash=sha256:855fb52b0dc35af121542a76b9a84f8d1cd886ea97c84703eaa6d88e37a2ad28 \
    --hash=sha256:8d4e9c88387b0f5c7d5f281e55304de64cf7f9c0021a3525bd3b1c542da3b0e4 \
    --hash=sha256:9046c58c4395dff28dd494285c82ba00b546adfc7ef001486fbf0324bc174fba \
    --hash=sha256:9eb6caa9a297fc2c2fb8862bc5370d0303ddba53ba97e71f08023b6cd73d16a8 \
    --hash=sha256:a08c6f0fe150303c1c6b71ebcd7213c2858041a7e01975da3a99aed1e7a378ef \
    --hash=sha256:a0cd17c15d3bb3fa06978b4e8958dcdc6e0174ccea823003a106c7d4d7899ac5 \
    --hash=sha256:afd7e57eddb1a54f0f1a974bc4391af8bcce0b444685d936840f125cf046d5bd \
    --hash=sha256:b1275ad35a5d18c62a7220633c913e1b42d44b46ee12554e5fd39c70a243d6a3 \
    --hash=sha256:b786eecbdf8499b9ca1d697215862083bd6d2a99965554781d0d8d1ad31e13a0 \
    --hash=sha256:ba336e390cd8e4d1739f42dfe9bb83a3cc2e80f567d8805e11b46f4a943f5515 \
    --hash=sha256:baa90d3f661d43131ca170712d903e6295d1f7a0f595074f151c0aed377c9b9c \
    --hash=sha256:bc1bf2925a1ecd43da378f4db9e4f799775d6367bdb94671027b73b393a7c42c \
    --hash=sha256:bd4af7373a854424dabd882decdc5579653d7868b8fb26dc7d0e99f823aa5924 \
    --hash=sha256:bf07ee2fef7014951eeb99f56f39c9bb4af143d8aa3c21b1677805985307da34 \
    --hash=sha256:bfdf460b1736c775f2ba9f6a92bca30bc2095067b8a9d77876d1fad6cc3b4a43 \
    --hash=sha256:c8098ddcc2a85b61647b2590f825f3db38891662cfc2fc776415143f599bb859 \
    --hash=sha256:d2b04aac4d386b172d5b9692e2d2da8de7bfb6c387fa4f801fbf6fb2e6ba4673 \
    --hash=sha256:d483d2cdf104e7c9fa60c544d92981f12ad66a457afae824d146093b8c294c54 \
    --hash=sha256:d858aa552c999bc8a8d57426ed01e40bef403cd8ccdd0fc5f6f04a00414cac2a \
    --hash=sha256:e7d73685e87afe9f3b36c799222440d6cf362062f78be1013661b00c5c6f678b \
    --hash=sha256:f003ed9ad21d6a4713f0a9b5a7a0a79e08dd0f221aff4525a2be4c346ee60aab \
    --hash=sha256:f22ac1c3cac4dbc50079e965eba2c1058622631e526bd9afd45fedd49ba781fa \
    --hash=sha256:faca3bdcf85b2fc05d06ff3fbc1f83e1391b3e724afa3feba7d13eeab355484c \
    --hash=sha256:fca0e3a251908a499833aa292323f32437106001d436eca0e6e7833256674585 \
    --hash=sha256:fd1592b3fdf65fff2ad0004b5e363300ef59ced41c2e6b3a99d4089fa8c5435d \
    --hash=sha256:fd66fc5d0da6d9815ba2cebeb4205f95818ff4b79c3ebe268e75d961704af52f
    # via -r requirements.txt

=== src/kem/classic_mceliece/CMakeLists.txt ===
# SPDX-License-Identifier: MIT

# This file was generated by
# scripts/copy_from_upstream/copy_from_upstream.py

set(_CLASSIC_MCELIECE_OBJS "")

if(OQS_ENABLE_KEM_classic_mceliece_348864)
    add_library(classic_mceliece_348864_clean OBJECT kem_classic_mceliece_348864.c pqclean_mceliece348864_clean/aes256ctr.c pqclean_mceliece348864_clean/benes.c pqclean_mceliece348864_clean/bm.c pqclean_mceliece348864_clean/controlbits.c pqclean_mceliece348864_clean/crypto_int16.c pqclean_mceliece348864_clean/crypto_int32.c pqclean_mceliece348864_clean/crypto_uint16.c pqclean_mceliece348864_clean/crypto_uint32.c pqclean_mceliece348864_clean/crypto_uint64.c pqclean_mceliece348864_clean/decrypt.c pqclean_mceliece348864_clean/encrypt.c pqclean_mceliece348864_clean/gf.c pqclean_mceliece348864_clean/operations.c pqclean_mceliece348864_clean/pk_gen.c pqclean_mceliece348864_clean/root.c pqclean_mceliece348864_clean/sk_gen.c pqclean_mceliece348864_clean/synd.c pqclean_mceliece348864_clean/transpose.c pqclean_mceliece348864_clean/util.c)
    target_include_directories(classic_mceliece_348864_clean PRIVATE ${CMAKE_CURRENT_LIST_DIR}/pqclean_mceliece348864_clean)
    target_include_directories(classic_mceliece_348864_clean PRIVATE ${PROJECT_SOURCE_DIR}/src/common/pqclean_shims)
    if (CMAKE_SYSTEM_NAME STREQUAL "Darwin")
        target_compile_definitions(classic_mceliece_348864_clean PRIVATE old_gas_syntax)
    endif()
    set(_CLASSIC_MCELIECE_OBJS ${_CLASSIC_MCELIECE_OBJS} $<TARGET_OBJECTS:classic_mceliece_348864_clean>)
endif()

if(OQS_ENABLE_KEM_classic_mceliece_348864_avx2)
    add_library(classic_mceliece_348864_avx2 OBJECT pqclean_mceliece348864_avx2/aes256ctr.c pqclean_mceliece348864_avx2/benes.c pqclean_mceliece348864_avx2/bm.c pqclean_mceliece348864_avx2/consts.S pqclean_mceliece348864_avx2/controlbits.c pqclean_mceliece348864_avx2/crypto_int16.c pqclean_mceliece348864_avx2/crypto_int32.c pqclean_mceliece348864_avx2/crypto_uint16.c pqclean_mceliece348864_avx2/crypto_uint32.c pqclean_mceliece348864_avx2/crypto_uint64.c pqclean_mceliece348864_avx2/decrypt.c pqclean_mceliece348864_avx2/encrypt.c pqclean_mceliece348864_avx2/fft.c pqclean_mceliece348864_avx2/fft_tr.c pqclean_mceliece348864_avx2/gf.c pqclean_mceliece348864_avx2/operations.c pqclean_mceliece348864_avx2/pk_gen.c pqclean_mceliece348864_avx2/sk_gen.c pqclean_mceliece348864_avx2/syndrome_asm.S pqclean_mceliece348864_avx2/transpose_64x256_sp_asm.S pqclean_mceliece348864_avx2/transpose_64x64_asm.S pqclean_mceliece348864_avx2/update_asm.S pqclean_mceliece348864_avx2/vec.c pqclean_mceliece348864_avx2/vec128_mul_asm.S pqclean_mceliece348864_avx2/vec256.c pqclean_mceliece348864_avx2/vec256_mul_asm.S pqclean_mceliece348864_avx2/vec_mul_asm.S pqclean_mceliece348864_avx2/vec_mul_sp_asm.S pqclean_mceliece348864_avx2/vec_reduce_asm.S)
    target_include_directories(classic_mceliece_348864_avx2 PRIVATE ${CMAKE_CURRENT_LIST_DIR}/pqclean_mceliece348864_avx2)
    target_include_directories(classic_mceliece_348864_avx2 PRIVATE ${PROJECT_SOURCE_DIR}/src/common/pqclean_shims)
    target_compile_options(classic_mceliece_348864_avx2 PRIVATE  -mavx2  -mpopcnt )
    target_compile_options(classic_mceliece_348864_avx2 PRIVATE -Wno-language-extension-token -O1)
    if (CMAKE_SYSTEM_NAME STREQUAL "Darwin")
        target_compile_definitions(classic_mceliece_348864_avx2 PRIVATE old_gas_syntax)
    endif()
    set(_CLASSIC_MCELIECE_OBJS ${_CLASSIC_MCELIECE_OBJS} $<TARGET_OBJECTS:classic_mceliece_348864_avx2>)
endif()

if(OQS_ENABLE_KEM_classic_mceliece_348864f)
    add_library(classic_mceliece_348864f_clean OBJECT kem_classic_mceliece_348864f.c pqclean_mceliece348864f_clean/aes256ctr.c pqclean_mceliece348864f_clean/benes.c pqclean_mceliece348864f_clean/bm.c pqclean_mceliece348864f_clean/controlbits.c pqclean_mceliece348864f_clean/crypto_int16.c pqclean_mceliece348864f_clean/crypto_int32.c pqclean_mceliece348864f_clean/crypto_uint16.c pqclean_mceliece348864f_clean/crypto_uint32.c pqclean_mceliece348864f_clean/crypto_uint64.c pqclean_mceliece348864f_clean/decrypt.c pqclean_mceliece348864f_clean/encrypt.c pqclean_mceliece348864f_clean/gf.c pqclean_mceliece348864f_clean/operations.c pqclean_mceliece348864f_clean/pk_gen.c pqclean_mceliece348864f_clean/root.c pqclean_mceliece348864f_clean/sk_gen.c pqclean_mceliece348864f_clean/synd.c pqclean_mceliece348864f_clean/transpose.c pqclean_mceliece348864f_clean/util.c)
    target_include_directories(classic_mceliece_348864f_clean PRIVATE ${CMAKE_CURRENT_LIST_DIR}/pqclean_mceliece348864f_clean)
    target_include_directories(classic_mceliece_348864f_clean PRIVATE ${PROJECT_SOURCE_DIR}/src/common/pqclean_shims)
    if (CMAKE_SYSTEM_NAME STREQUAL "Darwin")
        target_compile_definitions(classic_mceliece_348864f_clean PRIVATE old_gas_syntax)
    endif()
    set(_CLASSIC_MCELIECE_OBJS ${_CLASSIC_MCELIECE_OBJS} $<TARGET_OBJECTS:classic_mceliece_348864f_clean>)
endif()

if(OQS_ENABLE_KEM_classic_mceliece_348864f_avx2)
    add_library(classic_mceliece_348864f_avx2 OBJECT pqclean_mceliece348864f_avx2/aes256ctr.c pqclean_mceliece348864f_avx2/benes.c pqclean_mceliece348864f_avx2/bm.c pqclean_mceliece348864f_avx2/consts.S pqclean_mceliece348864f_avx2/controlbits.c pqclean_mceliece348864f_avx2/crypto_int16.c pqclean_mceliece348864f_avx2/crypto_int32.c pqclean_mceliece348864f_avx2/crypto_uint16.c pqclean_mceliece348864f_avx2/crypto_uint32.c pqclean_mceliece348864f_avx2/crypto_uint64.c pqclean_mceliece348864f_avx2/decrypt.c pqclean_mceliece348864f_avx2/encrypt.c pqclean_mceliece348864f_avx2/fft.c pqclean_mceliece348864f_avx2/fft_tr.c pqclean_mceliece348864f_avx2/gf.c pqclean_mceliece348864f_avx2/operations.c pqclean_mceliece348864f_avx2/pk_gen.c pqclean_mceliece348864f_avx2/sk_gen.c pqclean_mceliece348864f_avx2/syndrome_asm.S pqclean_mceliece348864f_avx2/transpose_64x256_sp_asm.S pqclean_mceliece348864f_avx2/transpose_64x64_asm.S pqclean_mceliece348864f_avx2/update_asm.S pqclean_mceliece348864f_avx2/vec.c pqclean_mceliece348864f_avx2/vec128_mul_asm.S pqclean_mceliece348864f_avx2/vec256.c pqclean_mceliece348864f_avx2/vec256_mul_asm.S pqclean_mceliece348864f_avx2/vec_mul_asm.S pqclean_mceliece348864f_avx2/vec_mul_sp_asm.S pqclean_mceliece348864f_avx2/vec_reduce_asm.S)
    target_include_directories(classic_mceliece_348864f_avx2 PRIVATE ${CMAKE_CURRENT_LIST_DIR}/pqclean_mceliece348864f_avx2)
    target_include_directories(classic_mceliece_348864f_avx2 PRIVATE ${PROJECT_SOURCE_DIR}/src/common/pqclean_shims)
    target_compile_options(classic_mceliece_348864f_avx2 PRIVATE  -mavx2  -mpopcnt  -mbmi )
    target_compile_options(classic_mceliece_348864f_avx2 PRIVATE -Wno-language-extension-token -O1)
    if (CMAKE_SYSTEM_NAME STREQUAL "Darwin")
        target_compile_definitions(classic_mceliece_348864f_avx2 PRIVATE old_gas_syntax)
    endif()
    set(_CLASSIC_MCELIECE_OBJS ${_CLASSIC_MCELIECE_OBJS} $<TARGET_OBJECTS:classic_mceliece_348864f_avx2>)
endif()

if(OQS_ENABLE_KEM_classic_mceliece_460896)
    add_library(classic_mceliece_460896_clean OBJECT kem_classic_mceliece_460896.c pqclean_mceliece460896_clean/aes256ctr.c pqclean_mceliece460896_clean/benes.c pqclean_mceliece460896_clean/bm.c pqclean_mceliece460896_clean/controlbits.c pqclean_mceliece460896_clean/crypto_int16.c pqclean_mceliece460896_clean/crypto_int32.c pqclean_mceliece460896_clean/crypto_uint16.c pqclean_mceliece460896_clean/crypto_uint32.c pqclean_mceliece460896_clean/crypto_uint64.c pqclean_mceliece460896_clean/decrypt.c pqclean_mceliece460896_clean/encrypt.c pqclean_mceliece460896_clean/gf.c pqclean_mceliece460896_clean/operations.c pqclean_mceliece460896_clean/pk_gen.c pqclean_mceliece460896_clean/root.c pqclean_mceliece460896_clean/sk_gen.c pqclean_mceliece460896_clean/synd.c pqclean_mceliece460896_clean/transpose.c pqclean_mceliece460896_clean/util.c)
    target_include_directories(classic_mceliece_460896_clean PRIVATE ${CMAKE_CURRENT_LIST_DIR}/pqclean_mceliece460896_clean)
    target_include_directories(classic_mceliece_460896_clean PRIVATE ${PROJECT_SOURCE_DIR}/src/common/pqclean_shims)
    if (CMAKE_SYSTEM_NAME STREQUAL "Darwin")
        target_compile_definitions(classic_mceliece_460896_clean PRIVATE old_gas_syntax)
    endif()
    set(_CLASSIC_MCELIECE_OBJS ${_CLASSIC_MCELIECE_OBJS} $<TARGET_OBJECTS:classic_mceliece_460896_clean>)
endif()

if(OQS_ENABLE_KEM_classic_mceliece_460896_avx2)
    add_library(classic_mceliece_460896_avx2 OBJECT pqclean_mceliece460896_avx2/aes256ctr.c pqclean_mceliece460896_avx2/benes.c pqclean_mceliece460896_avx2/bm.c pqclean_mceliece460896_avx2/consts.S pqclean_mceliece460896_avx2/controlbits.c pqclean_mceliece460896_avx2/crypto_int16.c pqclean_mceliece460896_avx2/crypto_int32.c pqclean_mceliece460896_avx2/crypto_uint16.c pqclean_mceliece460896_avx2/crypto_uint32.c pqclean_mceliece460896_avx2/crypto_uint64.c pqclean_mceliece460896_avx2/decrypt.c pqclean_mceliece460896_avx2/encrypt.c pqclean_mceliece460896_avx2/fft.c pqclean_mceliece460896_avx2/fft_tr.c pqclean_mceliece460896_avx2/gf.c pqclean_mceliece460896_avx2/operations.c pqclean_mceliece460896_avx2/pk_gen.c pqclean_mceliece460896_avx2/sk_gen.c pqclean_mceliece460896_avx2/syndrome_asm.S pqclean_mceliece460896_avx2/transpose_64x128_sp_asm.S pqclean_mceliece460896_avx2/transpose_64x256_sp_asm.S pqclean_mceliece460896_avx2/transpose_64x64_asm.S pqclean_mceliece460896_avx2/update_asm.S pqclean_mceliece460896_avx2/vec128.c pqclean_mceliece460896_avx2/vec128_mul_asm.S pqclean_mceliece460896_avx2/vec256.c pqclean_mceliece460896_avx2/vec256_ama_asm.S pqclean_mceliece460896_avx2/vec256_maa_asm.S pqclean_mceliece460896_avx2/vec256_mul_asm.S pqclean_mceliece460896_avx2/vec_reduce_asm.S)
    target_include_directories(classic_mceliece_460896_avx2 PRIVATE ${CMAKE_CURRENT_LIST_DIR}/pqclean_mceliece460896_avx2)
    target_include_directories(classic_mceliece_460896_avx2 PRIVATE ${PROJECT_SOURCE_DIR}/src/common/pqclean_shims)
    target_compile_options(classic_mceliece_460896_avx2 PRIVATE  -mavx2  -mpopcnt )
    target_compile_options(classic_mceliece_460896_avx2 PRIVATE -Wno-language-extension-token -O1)
    if (CMAKE_SYSTEM_NAME STREQUAL "Darwin")
        target_compile_definitions(classic_mceliece_460896_avx2 PRIVATE old_gas_syntax)
    endif()
    set(_CLASSIC_MCELIECE_OBJS ${_CLASSIC_MCELIECE_OBJS} $<TARGET_OBJECTS:classic_mceliece_460896_avx2>)
endif()

if(OQS_ENABLE_KEM_classic_mceliece_460896f)
    add_library(classic_mceliece_460896f_clean OBJECT kem_classic_mceliece_460896f.c pqclean_mceliece460896f_clean/aes256ctr.c pqclean_mceliece460896f_clean/benes.c pqclean_mceliece460896f_clean/bm.c pqclean_mceliece460896f_clean/controlbits.c pqclean_mceliece460896f_clean/crypto_int16.c pqclean_mceliece460896f_clean/crypto_int32.c pqclean_mceliece460896f_clean/crypto_uint16.c pqclean_mceliece460896f_clean/crypto_uint32.c pqclean_mceliece460896f_clean/crypto_uint64.c pqclean_mceliece460896f_clean/decrypt.c pqclean_mceliece460896f_clean/encrypt.c pqclean_mceliece460896f_clean/gf.c pqclean_mceliece460896f_clean/operations.c pqclean_mceliece460896f_clean/pk_gen.c pqclean_mceliece460896f_clean/root.c pqclean_mceliece460896f_clean/sk_gen.c pqclean_mceliece460896f_clean/synd.c pqclean_mceliece460896f_clean/transpose.c pqclean_mceliece460896f_clean/util.c)
    target_include_directories(classic_mceliece_460896f_clean PRIVATE ${CMAKE_CURRENT_LIST_DIR}/pqclean_mceliece460896f_clean)
    target_include_directories(classic_mceliece_460896f_clean PRIVATE ${PROJECT_SOURCE_DIR}/src/common/pqclean_shims)
    if (CMAKE_SYSTEM_NAME STREQUAL "Darwin")
        target_compile_definitions(classic_mceliece_460896f_clean PRIVATE old_gas_syntax)
    endif()
    set(_CLASSIC_MCELIECE_OBJS ${_CLASSIC_MCELIECE_OBJS} $<TARGET_OBJECTS:classic_mceliece_460896f_clean>)
endif()

if(OQS_ENABLE_KEM_classic_mceliece_460896f_avx2)

=== src/sig/dilithium/CMakeLists.txt ===
# SPDX-License-Identifier: MIT

# This file was generated by
# scripts/copy_from_upstream/copy_from_upstream.py

set(_DILITHIUM_OBJS "")

if(OQS_ENABLE_SIG_dilithium_2)
    add_library(dilithium_2_ref OBJECT sig_dilithium_2.c pqcrystals-dilithium_dilithium2_ref/ntt.c pqcrystals-dilithium_dilithium2_ref/packing.c pqcrystals-dilithium_dilithium2_ref/poly.c pqcrystals-dilithium_dilithium2_ref/polyvec.c pqcrystals-dilithium_dilithium2_ref/reduce.c pqcrystals-dilithium_dilithium2_ref/rounding.c pqcrystals-dilithium_dilithium2_ref/sign.c pqcrystals-dilithium_dilithium2_ref/symmetric-shake.c)
    target_compile_options(dilithium_2_ref PUBLIC -DDILITHIUM_MODE=2 -DDILITHIUM_RANDOMIZED_SIGNING)
    target_include_directories(dilithium_2_ref PRIVATE ${CMAKE_CURRENT_LIST_DIR}/pqcrystals-dilithium_dilithium2_ref)
    target_include_directories(dilithium_2_ref PRIVATE ${PROJECT_SOURCE_DIR}/src/common/pqclean_shims)
    target_compile_options(dilithium_2_ref PUBLIC -DDILITHIUM_MODE=2 -DDILITHIUM_RANDOMIZED_SIGNING)
    set(_DILITHIUM_OBJS ${_DILITHIUM_OBJS} $<TARGET_OBJECTS:dilithium_2_ref>)
endif()

if(OQS_ENABLE_SIG_dilithium_2_avx2)
    add_library(dilithium_2_avx2 OBJECT pqcrystals-dilithium_dilithium2_avx2/consts.c pqcrystals-dilithium_dilithium2_avx2/invntt.S pqcrystals-dilithium_dilithium2_avx2/ntt.S pqcrystals-dilithium_dilithium2_avx2/packing.c pqcrystals-dilithium_dilithium2_avx2/pointwise.S pqcrystals-dilithium_dilithium2_avx2/poly.c pqcrystals-dilithium_dilithium2_avx2/polyvec.c pqcrystals-dilithium_dilithium2_avx2/rejsample.c pqcrystals-dilithium_dilithium2_avx2/rounding.c pqcrystals-dilithium_dilithium2_avx2/shuffle.S pqcrystals-dilithium_dilithium2_avx2/sign.c pqcrystals-dilithium_dilithium2_avx2/symmetric-shake.c)
    target_include_directories(dilithium_2_avx2 PRIVATE ${CMAKE_CURRENT_LIST_DIR}/pqcrystals-dilithium_dilithium2_avx2)
    target_include_directories(dilithium_2_avx2 PRIVATE ${PROJECT_SOURCE_DIR}/src/common/pqclean_shims)
    target_compile_options(dilithium_2_avx2 PRIVATE -mavx2 -mpopcnt)
    target_compile_options(dilithium_2_avx2 PUBLIC -DDILITHIUM_MODE=2 -DDILITHIUM_RANDOMIZED_SIGNING)
    set(_DILITHIUM_OBJS ${_DILITHIUM_OBJS} $<TARGET_OBJECTS:dilithium_2_avx2>)
endif()

if(OQS_ENABLE_SIG_dilithium_2_aarch64)
    add_library(dilithium_2_aarch64 OBJECT oldpqclean_dilithium2_aarch64/__asm_iNTT.S oldpqclean_dilithium2_aarch64/__asm_NTT.S oldpqclean_dilithium2_aarch64/__asm_poly.S oldpqclean_dilithium2_aarch64/feat.S oldpqclean_dilithium2_aarch64/fips202x2.c oldpqclean_dilithium2_aarch64/ntt.c oldpqclean_dilithium2_aarch64/packing.c oldpqclean_dilithium2_aarch64/poly.c oldpqclean_dilithium2_aarch64/polyvec.c oldpqclean_dilithium2_aarch64/reduce.c oldpqclean_dilithium2_aarch64/rounding.c oldpqclean_dilithium2_aarch64/sign.c oldpqclean_dilithium2_aarch64/symmetric-shake.c)
    target_include_directories(dilithium_2_aarch64 PRIVATE ${CMAKE_CURRENT_LIST_DIR}/oldpqclean_dilithium2_aarch64)
    target_include_directories(dilithium_2_aarch64 PRIVATE ${PROJECT_SOURCE_DIR}/src/common/pqclean_shims)
    target_compile_options(dilithium_2_aarch64 PRIVATE)
    set(_DILITHIUM_OBJS ${_DILITHIUM_OBJS} $<TARGET_OBJECTS:dilithium_2_aarch64>)
endif()

if(OQS_ENABLE_SIG_dilithium_3)
    add_library(dilithium_3_ref OBJECT sig_dilithium_3.c pqcrystals-dilithium_dilithium3_ref/ntt.c pqcrystals-dilithium_dilithium3_ref/packing.c pqcrystals-dilithium_dilithium3_ref/poly.c pqcrystals-dilithium_dilithium3_ref/polyvec.c pqcrystals-dilithium_dilithium3_ref/reduce.c pqcrystals-dilithium_dilithium3_ref/rounding.c pqcrystals-dilithium_dilithium3_ref/sign.c pqcrystals-dilithium_dilithium3_ref/symmetric-shake.c)
    target_compile_options(dilithium_3_ref PUBLIC -DDILITHIUM_MODE=3 -DDILITHIUM_RANDOMIZED_SIGNING)
    target_include_directories(dilithium_3_ref PRIVATE ${CMAKE_CURRENT_LIST_DIR}/pqcrystals-dilithium_dilithium3_ref)
    target_include_directories(dilithium_3_ref PRIVATE ${PROJECT_SOURCE_DIR}/src/common/pqclean_shims)
    target_compile_options(dilithium_3_ref PUBLIC -DDILITHIUM_MODE=3 -DDILITHIUM_RANDOMIZED_SIGNING)
    set(_DILITHIUM_OBJS ${_DILITHIUM_OBJS} $<TARGET_OBJECTS:dilithium_3_ref>)
endif()

if(OQS_ENABLE_SIG_dilithium_3_avx2)
    add_library(dilithium_3_avx2 OBJECT pqcrystals-dilithium_dilithium3_avx2/consts.c pqcrystals-dilithium_dilithium3_avx2/invntt.S pqcrystals-dilithium_dilithium3_avx2/ntt.S pqcrystals-dilithium_dilithium3_avx2/packing.c pqcrystals-dilithium_dilithium3_avx2/pointwise.S pqcrystals-dilithium_dilithium3_avx2/poly.c pqcrystals-dilithium_dilithium3_avx2/polyvec.c pqcrystals-dilithium_dilithium3_avx2/rejsample.c pqcrystals-dilithium_dilithium3_avx2/rounding.c pqcrystals-dilithium_dilithium3_avx2/shuffle.S pqcrystals-dilithium_dilithium3_avx2/sign.c pqcrystals-dilithium_dilithium3_avx2/symmetric-shake.c)
    target_include_directories(dilithium_3_avx2 PRIVATE ${CMAKE_CURRENT_LIST_DIR}/pqcrystals-dilithium_dilithium3_avx2)
    target_include_directories(dilithium_3_avx2 PRIVATE ${PROJECT_SOURCE_DIR}/src/common/pqclean_shims)
    target_compile_options(dilithium_3_avx2 PRIVATE -mavx2 -mpopcnt)
    target_compile_options(dilithium_3_avx2 PUBLIC -DDILITHIUM_MODE=3 -DDILITHIUM_RANDOMIZED_SIGNING)
    set(_DILITHIUM_OBJS ${_DILITHIUM_OBJS} $<TARGET_OBJECTS:dilithium_3_avx2>)
endif()

if(OQS_ENABLE_SIG_dilithium_3_aarch64)
    add_library(dilithium_3_aarch64 OBJECT oldpqclean_dilithium3_aarch64/__asm_iNTT.S oldpqclean_dilithium3_aarch64/__asm_NTT.S oldpqclean_dilithium3_aarch64/__asm_poly.S oldpqclean_dilithium3_aarch64/feat.S oldpqclean_dilithium3_aarch64/fips202x2.c oldpqclean_dilithium3_aarch64/ntt.c oldpqclean_dilithium3_aarch64/packing.c oldpqclean_dilithium3_aarch64/poly.c oldpqclean_dilithium3_aarch64/polyvec.c oldpqclean_dilithium3_aarch64/reduce.c oldpqclean_dilithium3_aarch64/rounding.c oldpqclean_dilithium3_aarch64/sign.c oldpqclean_dilithium3_aarch64/symmetric-shake.c)
    target_include_directories(dilithium_3_aarch64 PRIVATE ${CMAKE_CURRENT_LIST_DIR}/oldpqclean_dilithium3_aarch64)
    target_include_directories(dilithium_3_aarch64 PRIVATE ${PROJECT_SOURCE_DIR}/src/common/pqclean_shims)
    target_compile_options(dilithium_3_aarch64 PRIVATE)
    set(_DILITHIUM_OBJS ${_DILITHIUM_OBJS} $<TARGET_OBJECTS:dilithium_3_aarch64>)
endif()

if(OQS_ENABLE_SIG_dilithium_5)
    add_library(dilithium_5_ref OBJECT sig_dilithium_5.c pqcrystals-dilithium_dilithium5_ref/ntt.c pqcrystals-dilithium_dilithium5_ref/packing.c pqcrystals-dilithium_dilithium5_ref/poly.c pqcrystals-dilithium_dilithium5_ref/polyvec.c pqcrystals-dilithium_dilithium5_ref/reduce.c pqcrystals-dilithium_dilithium5_ref/rounding.c pqcrystals-dilithium_dilithium5_ref/sign.c pqcrystals-dilithium_dilithium5_ref/symmetric-shake.c)
    target_compile_options(dilithium_5_ref PUBLIC -DDILITHIUM_MODE=5 -DDILITHIUM_RANDOMIZED_SIGNING)
    target_include_directories(dilithium_5_ref PRIVATE ${CMAKE_CURRENT_LIST_DIR}/pqcrystals-dilithium_dilithium5_ref)
    target_include_directories(dilithium_5_ref PRIVATE ${PROJECT_SOURCE_DIR}/src/common/pqclean_shims)
    target_compile_options(dilithium_5_ref PUBLIC -DDILITHIUM_MODE=5 -DDILITHIUM_RANDOMIZED_SIGNING)
    set(_DILITHIUM_OBJS ${_DILITHIUM_OBJS} $<TARGET_OBJECTS:dilithium_5_ref>)
endif()

if(OQS_ENABLE_SIG_dilithium_5_avx2)
    add_library(dilithium_5_avx2 OBJECT pqcrystals-dilithium_dilithium5_avx2/consts.c pqcrystals-dilithium_dilithium5_avx2/invntt.S pqcrystals-dilithium_dilithium5_avx2/ntt.S pqcrystals-dilithium_dilithium5_avx2/packing.c pqcrystals-dilithium_dilithium5_avx2/pointwise.S pqcrystals-dilithium_dilithium5_avx2/poly.c pqcrystals-dilithium_dilithium5_avx2/polyvec.c pqcrystals-dilithium_dilithium5_avx2/rejsample.c pqcrystals-dilithium_dilithium5_avx2/rounding.c pqcrystals-dilithium_dilithium5_avx2/shuffle.S pqcrystals-dilithium_dilithium5_avx2/sign.c pqcrystals-dilithium_dilithium5_avx2/symmetric-shake.c)
    target_include_directories(dilithium_5_avx2 PRIVATE ${CMAKE_CURRENT_LIST_DIR}/pqcrystals-dilithium_dilithium5_avx2)
    target_include_directories(dilithium_5_avx2 PRIVATE ${PROJECT_SOURCE_DIR}/src/common/pqclean_shims)
    target_compile_options(dilithium_5_avx2 PRIVATE -mavx2 -mpopcnt)
    target_compile_options(dilithium_5_avx2 PUBLIC -DDILITHIUM_MODE=5 -DDILITHIUM_RANDOMIZED_SIGNING)
    set(_DILITHIUM_OBJS ${_DILITHIUM_OBJS} $<TARGET_OBJECTS:dilithium_5_avx2>)
endif()

if(OQS_ENABLE_SIG_dilithium_5_aarch64)
    add_library(dilithium_5_aarch64 OBJECT oldpqclean_dilithium5_aarch64/__asm_iNTT.S oldpqclean_dilithium5_aarch64/__asm_NTT.S oldpqclean_dilithium5_aarch64/__asm_poly.S oldpqclean_dilithium5_aarch64/feat.S oldpqclean_dilithium5_aarch64/fips202x2.c oldpqclean_dilithium5_aarch64/ntt.c oldpqclean_dilithium5_aarch64/packing.c oldpqclean_dilithium5_aarch64/poly.c oldpqclean_dilithium5_aarch64/polyvec.c oldpqclean_dilithium5_aarch64/reduce.c oldpqclean_dilithium5_aarch64/rounding.c oldpqclean_dilithium5_aarch64/sign.c oldpqclean_dilithium5_aarch64/symmetric-shake.c)
    target_include_directories(dilithium_5_aarch64 PRIVATE ${CMAKE_CURRENT_LIST_DIR}/oldpqclean_dilithium5_aarch64)
    target_include_directories(dilithium_5_aarch64 PRIVATE ${PROJECT_SOURCE_DIR}/src/common/pqclean_shims)
    target_compile_options(dilithium_5_aarch64 PRIVATE)
    set(_DILITHIUM_OBJS ${_DILITHIUM_OBJS} $<TARGET_OBJECTS:dilithium_5_aarch64>)
endif()

set(DILITHIUM_OBJS ${_DILITHIUM_OBJS} PARENT_SCOPE)

=== src/sig/falcon/CMakeLists.txt ===
# SPDX-License-Identifier: MIT

# This file was generated by
# scripts/copy_from_upstream/copy_from_upstream.py

set(_FALCON_OBJS "")

if(OQS_ENABLE_SIG_falcon_512)
    add_library(falcon_512_clean OBJECT sig_falcon_512.c pqclean_falcon-512_clean/codec.c pqclean_falcon-512_clean/common.c pqclean_falcon-512_clean/fft.c pqclean_falcon-512_clean/fpr.c pqclean_falcon-512_clean/keygen.c pqclean_falcon-512_clean/pqclean.c pqclean_falcon-512_clean/rng.c pqclean_falcon-512_clean/sign.c pqclean_falcon-512_clean/vrfy.c)
    target_include_directories(falcon_512_clean PRIVATE ${CMAKE_CURRENT_LIST_DIR}/pqclean_falcon-512_clean)
    target_include_directories(falcon_512_clean PRIVATE ${PROJECT_SOURCE_DIR}/src/common/pqclean_shims)
    set(_FALCON_OBJS ${_FALCON_OBJS} $<TARGET_OBJECTS:falcon_512_clean>)
endif()

if(OQS_ENABLE_SIG_falcon_512_avx2)
    add_library(falcon_512_avx2 OBJECT pqclean_falcon-512_avx2/codec.c pqclean_falcon-512_avx2/common.c pqclean_falcon-512_avx2/fft.c pqclean_falcon-512_avx2/fpr.c pqclean_falcon-512_avx2/keygen.c pqclean_falcon-512_avx2/pqclean.c pqclean_falcon-512_avx2/rng.c pqclean_falcon-512_avx2/sign.c pqclean_falcon-512_avx2/vrfy.c)
    target_include_directories(falcon_512_avx2 PRIVATE ${CMAKE_CURRENT_LIST_DIR}/pqclean_falcon-512_avx2)
    target_include_directories(falcon_512_avx2 PRIVATE ${PROJECT_SOURCE_DIR}/src/common/pqclean_shims)
    target_compile_options(falcon_512_avx2 PRIVATE -mavx2)
    set(_FALCON_OBJS ${_FALCON_OBJS} $<TARGET_OBJECTS:falcon_512_avx2>)
endif()

if(OQS_ENABLE_SIG_falcon_512_aarch64)
    add_library(falcon_512_aarch64 OBJECT pqclean_falcon-512_aarch64/codec.c pqclean_falcon-512_aarch64/common.c pqclean_falcon-512_aarch64/fft.c pqclean_falcon-512_aarch64/fft_tree.c pqclean_falcon-512_aarch64/fpr.c pqclean_falcon-512_aarch64/keygen.c pqclean_falcon-512_aarch64/ntt.c pqclean_falcon-512_aarch64/ntt_consts.c pqclean_falcon-512_aarch64/poly_float.c pqclean_falcon-512_aarch64/poly_int.c pqclean_falcon-512_aarch64/pqclean.c pqclean_falcon-512_aarch64/rng.c pqclean_falcon-512_aarch64/sampler.c pqclean_falcon-512_aarch64/sign.c pqclean_falcon-512_aarch64/util.c pqclean_falcon-512_aarch64/vrfy.c)
    target_include_directories(falcon_512_aarch64 PRIVATE ${CMAKE_CURRENT_LIST_DIR}/pqclean_falcon-512_aarch64)
    target_include_directories(falcon_512_aarch64 PRIVATE ${PROJECT_SOURCE_DIR}/src/common/pqclean_shims)
    target_compile_options(falcon_512_aarch64 PRIVATE)
    set(_FALCON_OBJS ${_FALCON_OBJS} $<TARGET_OBJECTS:falcon_512_aarch64>)
endif()

if(OQS_ENABLE_SIG_falcon_1024)
    add_library(falcon_1024_clean OBJECT sig_falcon_1024.c pqclean_falcon-1024_clean/codec.c pqclean_falcon-1024_clean/common.c pqclean_falcon-1024_clean/fft.c pqclean_falcon-1024_clean/fpr.c pqclean_falcon-1024_clean/keygen.c pqclean_falcon-1024_clean/pqclean.c pqclean_falcon-1024_clean/rng.c pqclean_falcon-1024_clean/sign.c pqclean_falcon-1024_clean/vrfy.c)
    target_include_directories(falcon_1024_clean PRIVATE ${CMAKE_CURRENT_LIST_DIR}/pqclean_falcon-1024_clean)
    target_include_directories(falcon_1024_clean PRIVATE ${PROJECT_SOURCE_DIR}/src/common/pqclean_shims)
    set(_FALCON_OBJS ${_FALCON_OBJS} $<TARGET_OBJECTS:falcon_1024_clean>)
endif()

if(OQS_ENABLE_SIG_falcon_1024_avx2)
    add_library(falcon_1024_avx2 OBJECT pqclean_falcon-1024_avx2/codec.c pqclean_falcon-1024_avx2/common.c pqclean_falcon-1024_avx2/fft.c pqclean_falcon-1024_avx2/fpr.c pqclean_falcon-1024_avx2/keygen.c pqclean_falcon-1024_avx2/pqclean.c pqclean_falcon-1024_avx2/rng.c pqclean_falcon-1024_avx2/sign.c pqclean_falcon-1024_avx2/vrfy.c)
    target_include_directories(falcon_1024_avx2 PRIVATE ${CMAKE_CURRENT_LIST_DIR}/pqclean_falcon-1024_avx2)
    target_include_directories(falcon_1024_avx2 PRIVATE ${PROJECT_SOURCE_DIR}/src/common/pqclean_shims)
    target_compile_options(falcon_1024_avx2 PRIVATE -mavx2)
    set(_FALCON_OBJS ${_FALCON_OBJS} $<TARGET_OBJECTS:falcon_1024_avx2>)
endif()

if(OQS_ENABLE_SIG_falcon_1024_aarch64)
    add_library(falcon_1024_aarch64 OBJECT pqclean_falcon-1024_aarch64/codec.c pqclean_falcon-1024_aarch64/common.c pqclean_falcon-1024_aarch64/fft.c pqclean_falcon-1024_aarch64/fft_tree.c pqclean_falcon-1024_aarch64/fpr.c pqclean_falcon-1024_aarch64/keygen.c pqclean_falcon-1024_aarch64/ntt.c pqclean_falcon-1024_aarch64/ntt_consts.c pqclean_falcon-1024_aarch64/poly_float.c pqclean_falcon-1024_aarch64/poly_int.c pqclean_falcon-1024_aarch64/pqclean.c pqclean_falcon-1024_aarch64/rng.c pqclean_falcon-1024_aarch64/sampler.c pqclean_falcon-1024_aarch64/sign.c pqclean_falcon-1024_aarch64/util.c pqclean_falcon-1024_aarch64/vrfy.c)
    target_include_directories(falcon_1024_aarch64 PRIVATE ${CMAKE_CURRENT_LIST_DIR}/pqclean_falcon-1024_aarch64)
    target_include_directories(falcon_1024_aarch64 PRIVATE ${PROJECT_SOURCE_DIR}/src/common/pqclean_shims)
    target_compile_options(falcon_1024_aarch64 PRIVATE)
    set(_FALCON_OBJS ${_FALCON_OBJS} $<TARGET_OBJECTS:falcon_1024_aarch64>)
endif()

if(OQS_ENABLE_SIG_falcon_padded_512)
    add_library(falcon_padded_512_clean OBJECT sig_falcon_padded_512.c pqclean_falcon-padded-512_clean/codec.c pqclean_falcon-padded-512_clean/common.c pqclean_falcon-padded-512_clean/fft.c pqclean_falcon-padded-512_clean/fpr.c pqclean_falcon-padded-512_clean/keygen.c pqclean_falcon-padded-512_clean/pqclean.c pqclean_falcon-padded-512_clean/rng.c pqclean_falcon-padded-512_clean/sign.c pqclean_falcon-padded-512_clean/vrfy.c)
    target_include_directories(falcon_padded_512_clean PRIVATE ${CMAKE_CURRENT_LIST_DIR}/pqclean_falcon-padded-512_clean)
    target_include_directories(falcon_padded_512_clean PRIVATE ${PROJECT_SOURCE_DIR}/src/common/pqclean_shims)
    set(_FALCON_OBJS ${_FALCON_OBJS} $<TARGET_OBJECTS:falcon_padded_512_clean>)
endif()

if(OQS_ENABLE_SIG_falcon_padded_512_avx2)
    add_library(falcon_padded_512_avx2 OBJECT pqclean_falcon-padded-512_avx2/codec.c pqclean_falcon-padded-512_avx2/common.c pqclean_falcon-padded-512_avx2/fft.c pqclean_falcon-padded-512_avx2/fpr.c pqclean_falcon-padded-512_avx2/keygen.c pqclean_falcon-padded-512_avx2/pqclean.c pqclean_falcon-padded-512_avx2/rng.c pqclean_falcon-padded-512_avx2/sign.c pqclean_falcon-padded-512_avx2/vrfy.c)
    target_include_directories(falcon_padded_512_avx2 PRIVATE ${CMAKE_CURRENT_LIST_DIR}/pqclean_falcon-padded-512_avx2)
    target_include_directories(falcon_padded_512_avx2 PRIVATE ${PROJECT_SOURCE_DIR}/src/common/pqclean_shims)
    target_compile_options(falcon_padded_512_avx2 PRIVATE -mavx2)
    set(_FALCON_OBJS ${_FALCON_OBJS} $<TARGET_OBJECTS:falcon_padded_512_avx2>)
endif()

if(OQS_ENABLE_SIG_falcon_padded_512_aarch64)
    add_library(falcon_padded_512_aarch64 OBJECT pqclean_falcon-padded-512_aarch64/codec.c pqclean_falcon-padded-512_aarch64/common.c pqclean_falcon-padded-512_aarch64/fft.c pqclean_falcon-padded-512_aarch64/fft_tree.c pqclean_falcon-padded-512_aarch64/fpr.c pqclean_falcon-padded-512_aarch64/keygen.c pqclean_falcon-padded-512_aarch64/ntt.c pqclean_falcon-padded-512_aarch64/ntt_consts.c pqclean_falcon-padded-512_aarch64/poly_float.c pqclean_falcon-padded-512_aarch64/poly_int.c pqclean_falcon-padded-512_aarch64/pqclean.c pqclean_falcon-padded-512_aarch64/rng.c pqclean_falcon-padded-512_aarch64/sampler.c pqclean_falcon-padded-512_aarch64/sign.c pqclean_falcon-padded-512_aarch64/util.c pqclean_falcon-padded-512_aarch64/vrfy.c)
    target_include_directories(falcon_padded_512_aarch64 PRIVATE ${CMAKE_CURRENT_LIST_DIR}/pqclean_falcon-padded-512_aarch64)
    target_include_directories(falcon_padded_512_aarch64 PRIVATE ${PROJECT_SOURCE_DIR}/src/common/pqclean_shims)
    target_compile_options(falcon_padded_512_aarch64 PRIVATE)
    set(_FALCON_OBJS ${_FALCON_OBJS} $<TARGET_OBJECTS:falcon_padded_512_aarch64>)
endif()

if(OQS_ENABLE_SIG_falcon_padded_1024)
    add_library(falcon_padded_1024_clean OBJECT sig_falcon_padded_1024.c pqclean_falcon-padded-1024_clean/codec.c pqclean_falcon-padded-1024_clean/common.c pqclean_falcon-padded-1024_clean/fft.c pqclean_falcon-padded-1024_clean/fpr.c pqclean_falcon-padded-1024_clean/keygen.c pqclean_falcon-padded-1024_clean/pqclean.c pqclean_falcon-padded-1024_clean/rng.c pqclean_falcon-padded-1024_clean/sign.c pqclean_falcon-padded-1024_clean/vrfy.c)
    target_include_directories(falcon_padded_1024_clean PRIVATE ${CMAKE_CURRENT_LIST_DIR}/pqclean_falcon-padded-1024_clean)
    target_include_directories(falcon_padded_1024_clean PRIVATE ${PROJECT_SOURCE_DIR}/src/common/pqclean_shims)
    set(_FALCON_OBJS ${_FALCON_OBJS} $<TARGET_OBJECTS:falcon_padded_1024_clean>)
endif()

if(OQS_ENABLE_SIG_falcon_padded_1024_avx2)
    add_library(falcon_padded_1024_avx2 OBJECT pqclean_falcon-padded-1024_avx2/codec.c pqclean_falcon-padded-1024_avx2/common.c pqclean_falcon-padded-1024_avx2/fft.c pqclean_falcon-padded-1024_avx2/fpr.c pqclean_falcon-padded-1024_avx2/keygen.c pqclean_falcon-padded-1024_avx2/pqclean.c pqclean_falcon-padded-1024_avx2/rng.c pqclean_falcon-padded-1024_avx2/sign.c pqclean_falcon-padded-1024_avx2/vrfy.c)
    target_include_directories(falcon_padded_1024_avx2 PRIVATE ${CMAKE_CURRENT_LIST_DIR}/pqclean_falcon-padded-1024_avx2)
    target_include_directories(falcon_padded_1024_avx2 PRIVATE ${PROJECT_SOURCE_DIR}/src/common/pqclean_shims)
    target_compile_options(falcon_padded_1024_avx2 PRIVATE -mavx2)
    set(_FALCON_OBJS ${_FALCON_OBJS} $<TARGET_OBJECTS:falcon_padded_1024_avx2>)
endif()

if(OQS_ENABLE_SIG_falcon_padded_1024_aarch64)
    add_library(falcon_padded_1024_aarch64 OBJECT pqclean_falcon-padded-1024_aarch64/codec.c pqclean_falcon-padded-1024_aarch64/common.c pqclean_falcon-padded-1024_aarch64/fft.c pqclean_falcon-padded-1024_aarch64/fft_tree.c pqclean_falcon-padded-1024_aarch64/fpr.c pqclean_falcon-padded-1024_aarch64/keygen.c pqclean_falcon-padded-1024_aarch64/ntt.c pqclean_falcon-padded-1024_aarch64/ntt_consts.c pqclean_falcon-padded-1024_aarch64/poly_float.c pqclean_falcon-padded-1024_aarch64/poly_int.c pqclean_falcon-padded-1024_aarch64/pqclean.c pqclean_falcon-padded-1024_aarch64/rng.c pqclean_falcon-padded-1024_aarch64/sampler.c pqclean_falcon-padded-1024_aarch64/sign.c pqclean_falcon-padded-1024_aarch64/util.c pqclean_falcon-padded-1024_aarch64/vrfy.c)
    target_include_directories(falcon_padded_1024_aarch64 PRIVATE ${CMAKE_CURRENT_LIST_DIR}/pqclean_falcon-padded-1024_aarch64)
    target_include_directories(falcon_padded_1024_aarch64 PRIVATE ${PROJECT_SOURCE_DIR}/src/common/pqclean_shims)
    target_compile_options(falcon_padded_1024_aarch64 PRIVATE)
    set(_FALCON_OBJS ${_FALCON_OBJS} $<TARGET_OBJECTS:falcon_padded_1024_aarch64>)
endif()

set(FALCON_OBJS ${_FALCON_OBJS} PARENT_SCOPE)

=== src/sig/mayo/CMakeLists.txt ===
# SPDX-License-Identifier: MIT

# This file was generated by
# scripts/copy_from_upstream/copy_from_upstream.py

set(_MAYO_OBJS "")

if(OQS_ENABLE_SIG_mayo_1)
    add_library(mayo_1_opt OBJECT sig_mayo_1.c pqmayo_mayo-1_opt/api.c pqmayo_mayo-1_opt/arithmetic.c pqmayo_mayo-1_opt/mayo.c pqmayo_mayo-1_opt/params.c)
    target_compile_options(mayo_1_opt PUBLIC -DMAYO_VARIANT=MAYO_1 -DMAYO_BUILD_TYPE_OPT -DHAVE_RANDOMBYTES_NORETVAL)
    target_include_directories(mayo_1_opt PRIVATE ${CMAKE_CURRENT_LIST_DIR}/pqmayo_mayo-1_opt)
    target_include_directories(mayo_1_opt PRIVATE ${PROJECT_SOURCE_DIR}/src/common/pqclean_shims)
    target_compile_options(mayo_1_opt PUBLIC -DMAYO_VARIANT=MAYO_1 -DMAYO_BUILD_TYPE_OPT -DHAVE_RANDOMBYTES_NORETVAL)
    set(_MAYO_OBJS ${_MAYO_OBJS} $<TARGET_OBJECTS:mayo_1_opt>)
endif()

if(OQS_ENABLE_SIG_mayo_1_avx2)
    add_library(mayo_1_avx2 OBJECT pqmayo_mayo-1_avx2/api.c pqmayo_mayo-1_avx2/arithmetic.c pqmayo_mayo-1_avx2/mayo.c pqmayo_mayo-1_avx2/params.c)
    target_include_directories(mayo_1_avx2 PRIVATE ${CMAKE_CURRENT_LIST_DIR}/pqmayo_mayo-1_avx2)
    target_include_directories(mayo_1_avx2 PRIVATE ${PROJECT_SOURCE_DIR}/src/common/pqclean_shims)
    target_compile_options(mayo_1_avx2 PRIVATE -mavx2)
    target_compile_options(mayo_1_avx2 PUBLIC -DMAYO_VARIANT=MAYO_1 -DMAYO_BUILD_TYPE_AVX2 -DMAYO_AVX -DHAVE_RANDOMBYTES_NORETVAL)
    set(_MAYO_OBJS ${_MAYO_OBJS} $<TARGET_OBJECTS:mayo_1_avx2>)
endif()

if(OQS_ENABLE_SIG_mayo_2)
    add_library(mayo_2_opt OBJECT sig_mayo_2.c pqmayo_mayo-2_opt/api.c pqmayo_mayo-2_opt/arithmetic.c pqmayo_mayo-2_opt/mayo.c pqmayo_mayo-2_opt/params.c)
    target_compile_options(mayo_2_opt PUBLIC -DMAYO_VARIANT=MAYO_2 -DMAYO_BUILD_TYPE_OPT -DHAVE_RANDOMBYTES_NORETVAL)
    target_include_directories(mayo_2_opt PRIVATE ${CMAKE_CURRENT_LIST_DIR}/pqmayo_mayo-2_opt)
    target_include_directories(mayo_2_opt PRIVATE ${PROJECT_SOURCE_DIR}/src/common/pqclean_shims)
    target_compile_options(mayo_2_opt PUBLIC -DMAYO_VARIANT=MAYO_2 -DMAYO_BUILD_TYPE_OPT -DHAVE_RANDOMBYTES_NORETVAL)
    set(_MAYO_OBJS ${_MAYO_OBJS} $<TARGET_OBJECTS:mayo_2_opt>)
endif()

if(OQS_ENABLE_SIG_mayo_2_avx2)
    add_library(mayo_2_avx2 OBJECT pqmayo_mayo-2_avx2/api.c pqmayo_mayo-2_avx2/arithmetic.c pqmayo_mayo-2_avx2/mayo.c pqmayo_mayo-2_avx2/params.c)
    target_include_directories(mayo_2_avx2 PRIVATE ${CMAKE_CURRENT_LIST_DIR}/pqmayo_mayo-2_avx2)
    target_include_directories(mayo_2_avx2 PRIVATE ${PROJECT_SOURCE_DIR}/src/common/pqclean_shims)
    target_compile_options(mayo_2_avx2 PRIVATE -mavx2)
    target_compile_options(mayo_2_avx2 PUBLIC -DMAYO_VARIANT=MAYO_2 -DMAYO_BUILD_TYPE_AVX2 -DMAYO_AVX -DHAVE_RANDOMBYTES_NORETVAL)
    set(_MAYO_OBJS ${_MAYO_OBJS} $<TARGET_OBJECTS:mayo_2_avx2>)
endif()

if(OQS_ENABLE_SIG_mayo_3)
    add_library(mayo_3_opt OBJECT sig_mayo_3.c pqmayo_mayo-3_opt/api.c pqmayo_mayo-3_opt/arithmetic.c pqmayo_mayo-3_opt/mayo.c pqmayo_mayo-3_opt/params.c)
    target_compile_options(mayo_3_opt PUBLIC -DMAYO_VARIANT=MAYO_3 -DMAYO_BUILD_TYPE_OPT -DHAVE_RANDOMBYTES_NORETVAL -DHAVE_STACKEFFICIENT)
    target_include_directories(mayo_3_opt PRIVATE ${CMAKE_CURRENT_LIST_DIR}/pqmayo_mayo-3_opt)
    target_include_directories(mayo_3_opt PRIVATE ${PROJECT_SOURCE_DIR}/src/common/pqclean_shims)
    target_compile_options(mayo_3_opt PUBLIC -DMAYO_VARIANT=MAYO_3 -DMAYO_BUILD_TYPE_OPT -DHAVE_RANDOMBYTES_NORETVAL -DHAVE_STACKEFFICIENT)
    set(_MAYO_OBJS ${_MAYO_OBJS} $<TARGET_OBJECTS:mayo_3_opt>)
endif()

if(OQS_ENABLE_SIG_mayo_3_avx2)
    add_library(mayo_3_avx2 OBJECT pqmayo_mayo-3_avx2/api.c pqmayo_mayo-3_avx2/arithmetic.c pqmayo_mayo-3_avx2/mayo.c pqmayo_mayo-3_avx2/params.c)
    target_include_directories(mayo_3_avx2 PRIVATE ${CMAKE_CURRENT_LIST_DIR}/pqmayo_mayo-3_avx2)
    target_include_directories(mayo_3_avx2 PRIVATE ${PROJECT_SOURCE_DIR}/src/common/pqclean_shims)
    target_compile_options(mayo_3_avx2 PRIVATE -mavx2)
    target_compile_options(mayo_3_avx2 PUBLIC -DMAYO_VARIANT=MAYO_3 -DMAYO_BUILD_TYPE_AVX2 -DMAYO_AVX -DHAVE_RANDOMBYTES_NORETVAL -DHAVE_STACKEFFICIENT)
    set(_MAYO_OBJS ${_MAYO_OBJS} $<TARGET_OBJECTS:mayo_3_avx2>)
endif()

if(OQS_ENABLE_SIG_mayo_5)
    add_library(mayo_5_opt OBJECT sig_mayo_5.c pqmayo_mayo-5_opt/api.c pqmayo_mayo-5_opt/arithmetic.c pqmayo_mayo-5_opt/mayo.c pqmayo_mayo-5_opt/params.c)
    target_compile_options(mayo_5_opt PUBLIC -DMAYO_VARIANT=MAYO_5 -DMAYO_BUILD_TYPE_OPT -DHAVE_RANDOMBYTES_NORETVAL -DHAVE_STACKEFFICIENT)
    target_include_directories(mayo_5_opt PRIVATE ${CMAKE_CURRENT_LIST_DIR}/pqmayo_mayo-5_opt)
    target_include_directories(mayo_5_opt PRIVATE ${PROJECT_SOURCE_DIR}/src/common/pqclean_shims)
    target_compile_options(mayo_5_opt PUBLIC -DMAYO_VARIANT=MAYO_5 -DMAYO_BUILD_TYPE_OPT -DHAVE_RANDOMBYTES_NORETVAL -DHAVE_STACKEFFICIENT)
    set(_MAYO_OBJS ${_MAYO_OBJS} $<TARGET_OBJECTS:mayo_5_opt>)
endif()

if(OQS_ENABLE_SIG_mayo_5_avx2)
    add_library(mayo_5_avx2 OBJECT pqmayo_mayo-5_avx2/api.c pqmayo_mayo-5_avx2/arithmetic.c pqmayo_mayo-5_avx2/mayo.c pqmayo_mayo-5_avx2/params.c)
    target_include_directories(mayo_5_avx2 PRIVATE ${CMAKE_CURRENT_LIST_DIR}/pqmayo_mayo-5_avx2)
    target_include_directories(mayo_5_avx2 PRIVATE ${PROJECT_SOURCE_DIR}/src/common/pqclean_shims)
    target_compile_options(mayo_5_avx2 PRIVATE -mavx2)
    target_compile_options(mayo_5_avx2 PUBLIC -DMAYO_VARIANT=MAYO_5 -DMAYO_BUILD_TYPE_AVX2 -DMAYO_AVX -DHAVE_RANDOMBYTES_NORETVAL -DHAVE_STACKEFFICIENT)
    set(_MAYO_OBJS ${_MAYO_OBJS} $<TARGET_OBJECTS:mayo_5_avx2>)
endif()

set(MAYO_OBJS ${_MAYO_OBJS} PARENT_SCOPE)

=== zephyr/samples/KEMs/CMakeLists.txt ===
# SPDX-License-Identifier: MIT

cmake_minimum_required(VERSION 3.20.0)

set(CMAKE_EXPORT_COMPILE_COMMANDS ON)
set(NO_BUILD_TYPE_WARNING ON)

find_package(Zephyr REQUIRED HINTS $ENV{ZEPHYR_BASE})

project(liboqs_kems)

target_sources(app PRIVATE
    src/main.c
)

=== PKGBUILD ===
# Maintainer: d0p1 <contact@d0p1.eu>

_realname=liboqs
pkgbase=mingw-w64-${_realname}
pkgname=("${MINGW_PACKAGE_PREFIX}-${_realname}")
pkgver=0.12.0
pkgrel=1
pkgdesc="C library for prototyping and experimenting with quantum-resistant cryptography (mingw-w64)"
arch=('any')
mingw_arch=('mingw64' 'ucrt64')
url='https://openquantumsafe.org/'
msys2_repository_url="https://github.com/open-quantum-safe/liboqs"
license=('spdx:MIT')
makedepends=(
  "${MINGW_PACKAGE_PREFIX}-cmake"
  "${MINGW_PACKAGE_PREFIX}-ninja"
  "${MINGW_PACKAGE_PREFIX}-cc"
)
checkdepends=(
  "${MINGW_PACKAGE_PREFIX}-python-pytest"
  "${MINGW_PACKAGE_PREFIX}-python-pytest-xdist"
  "${MINGW_PACKAGE_PREFIX}-python-yaml"
)
source=("https://github.com/open-quantum-safe/liboqs/archive/${pkgver}/${_realname}-${pkgver}.tar.gz")
sha256sums=('df999915204eb1eba311d89e83d1edd3a514d5a07374745d6a9e5b2dd0d59c08')

build() {
  declare -a extra_config
  if check_option "debug" "n"; then
    extra_config+=("-DCMAKE_BUILD_TYPE=Release")
  else
    extra_config+=("-DCMAKE_BUILD_TYPE=Debug")
  fi

  MSYS2_ARG_CONV_EXCL="-DCMAKE_INSTALL_PREFIX=" \
    cmake \
      -GNinja \
      -DCMAKE_INSTALL_PREFIX="${MINGW_PREFIX}" \
      "${extra_config[@]}" \
      -DCMAKE_DLL_NAME_WITH_SOVERSION=ON \
      -DBUILD_SHARED_LIBS=ON \
      -DOQS_BUILD_ONLY_LIB=ON \
      -S "${_realname}-${pkgver}" \
      -B "build-${MSYSTEM}"

  cmake --build "build-${MSYSTEM}"
}

check() {
  cd "${srcdir}/build-${MSYSTEM}"

  PATH="$(pwd)/bin:$PATH" \
    cmake --build . --target run_tests
}

package() {
  DESTDIR="${pkgdir}" cmake --install "build-${MSYSTEM}"

  install -Dm644 "${srcdir}/${_realname}-${pkgver}/LICENSE.txt" "${pkgdir}${MINGW_PREFIX}/share/licenses/${_realname}/LICENSE"
}
